Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.transport
Class FileUploadServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis2.transport.http.AxisServlet
                  org.wso2.wsas.transport.FileUploadServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.axis2.transport.TransportListener

public class FileUploadServlet
extends org.apache.axis2.transport.http.AxisServlet

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis2.transport.http.AxisServlet
`org.apache.axis2.transport.http.AxisServlet.RestRequestProcessor, org.apache.axis2.transport.http.AxisServlet.ServletRequestResponseTransport`

Field Summary

Fields inherited from class org.apache.axis2.transport.http.AxisServlet
`axisConfiguration, configContext, CONFIGURATION_CONTEXT, disableREST, servletConfig, SESSION_ID`

Fields inherited from interface org.apache.axis2.transport.TransportListener
`HOST_ADDRESS, PARAM_PORT`

Constructor Summary
`FileUploadServlet()`

Method Summary
`protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init(javax.servlet.ServletConfig servletConfig)`

Methods inherited from class org.apache.axis2.transport.http.AxisServlet
`createMessageContext, createMessageContext, destroy, doDelete, doPut, getEPRForService, getEPRsForService, getSessionContext, getTransportHeaders, handleFault, init, init, initConfigContext, initContextRoot, initParams, showRestDisabledErrorMessage, start, stop`

Methods inherited from class javax.servlet.http.HttpServlet
`doHead, doOptions, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUploadServlet

    public FileUploadServlet()

Method Detail

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse res)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD